Bug 639876 (CVE-2010-3568) - CVE-2010-3568 OpenJDK Deserialization Race condition (6559775)
Summary: CVE-2010-3568 OpenJDK Deserialization Race condition (6559775)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3568
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 639951 639952 639953 639954 642515 642517 643336 643337 643338 643355 643356 643357 646406 646407 646408 662638 662639 662640
Blocks: 712887
TreeView+ depends on / blocked
 
Reported: 2010-10-04 09:20 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-24 15:56:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0768 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2010-10-13 16:23:43 UTC
Sun Bug Database 6559775 None None None Never
Red Hat Product Errata RHSA-2010:0770 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2010-10-14 13:35:50 UTC
Red Hat Product Errata RHSA-2010:0786 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2010-10-20 17:14:58 UTC
Red Hat Product Errata RHSA-2010:0807 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2010-10-27 23:07:22 UTC
Red Hat Product Errata RHSA-2010:0865 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2010-11-09 19:05:39 UTC
Red Hat Product Errata RHSA-2010:0873 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2010-11-10 12:10:54 UTC
Red Hat Product Errata RHSA-2010:0986 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm-sap security update 2010-12-15 22:43:51 UTC
Red Hat Product Errata RHSA-2010:0987 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security and bug fix update 2010-12-15 23:45:15 UTC
Red Hat Product Errata RHSA-2011:0880 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2011-06-16 19:21:49 UTC

Description Marc Schoenefeld 2010-10-04 09:20:54 UTC
Race condition in the way objects were deserialized could allow an untrusted applet or application to misuse the privileges of the user running the applet or application. (CVE-2010-3568)

The CVSSv2 scored upstream is
cvss2=7.5/AV:N/AC:L/Au:N/C:P/I:P/A:P

Reference: 
http://www.oracle.com/technetwork/topics/security/javacpuoct2010-176258.html

Comment 4 errata-xmlrpc 2010-10-13 16:23:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0768 https://rhn.redhat.com/errata/RHSA-2010-0768.html

Comment 5 errata-xmlrpc 2010-10-14 13:36:29 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0770 https://rhn.redhat.com/errata/RHSA-2010-0770.html

Comment 9 errata-xmlrpc 2010-10-20 17:15:14 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0786 https://rhn.redhat.com/errata/RHSA-2010-0786.html

Comment 11 errata-xmlrpc 2010-10-27 23:07:36 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0807 https://rhn.redhat.com/errata/RHSA-2010-0807.html

Comment 12 errata-xmlrpc 2010-11-10 18:49:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0865 https://rhn.redhat.com/errata/RHSA-2010-0865.html

Comment 13 errata-xmlrpc 2010-11-10 19:07:06 UTC
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0873 https://rhn.redhat.com/errata/RHSA-2010-0873.html

Comment 15 errata-xmlrpc 2010-12-15 22:44:02 UTC
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2010:0986 https://rhn.redhat.com/errata/RHSA-2010-0986.html

Comment 16 errata-xmlrpc 2010-12-15 23:45:36 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0987 https://rhn.redhat.com/errata/RHSA-2010-0987.html

Comment 17 errata-xmlrpc 2011-06-16 19:22:13 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0880 https://rhn.redhat.com/errata/RHSA-2011-0880.html


Note You need to log in before you can comment on or make changes to this bug.